{% extends 'accountent/base.html' %}
{% load i18n accountent hordak %}

{% block page_subtitle %}{% trans "Transactions" %}{% endblock page_subtitle %}
{% block page_title %}{% trans "Journal" %}{% endblock page_title %}


{% block header_button %}
{% if object_list %}
<div id="transaction-history-date-range" class="input-daterange input-group input-group-sm ml-auto">
    <input type="text" class="input-sm form-control" name="start" placeholder="Start Date"
        id="analytics-overview-date-range-1">
    <input type="text" class="input-sm form-control" name="end" placeholder="End Date"
        id="analytics-overview-date-range-2">
    <span class="input-group-append">
        <span class="input-group-text">
            <i class="icon-calendar"></i>
        </span>
    </span>
</div>
{% endif %}
{% endblock header_button %}

{% block content %}
{% if object_list %}
<div id="DataTables_Table_0_wrapper" class="dataTables_wrapper no-footer">
    <div class="dataTables_length" id="DataTables_Table_0_length"><label>{% trans "Show" %} <select
                name="DataTables_Table_0_length" aria-controls="DataTables_Table_0" class="">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
            </select> {% trans "entries" %}</label></div>
    <div id="DataTables_Table_0_filter" class="dataTables_filter"><label>{% trans "Search" %}:<input type="search"
                class="" placeholder="" aria-controls="DataTables_Table_0"></label></div>
    <table class="transaction-history d-none dataTable no-footer dtr-inline collapsed" id="DataTables_Table_0"
        role="grid" aria-describedby="DataTables_Table_0_info" style="width: 1155px;">
        <thead>
            <tr role="row">
                <th class="sorting_asc" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                    style="width: 25.799999237060547px;" aria-sort="ascending"
                    aria-label="#: activate to sort column descending">{% trans "#" %}</th>
                <th class="sorting" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                    style="width: 236.79999923706055px;" aria-label="Date: activate to sort column ascending">
                    {% trans "Date" %}</th>
                <th class="sorting" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                    style="width: 159.79999923706055px;" aria-label="Debit: activate to sort column ascending">
                    {% trans "Debit" %}</th>
                <th class="sorting" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                    style="width: 78.79999923706055px;" aria-label="Products: activate to sort column ascending">
                    {% trans "Credit" %}</th>
                <th class="sorting" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                    style="width: 61.79999923706055px;" aria-label="Total: activate to sort column ascending">
                    {% trans "Amount" %}</th>
            </tr>
        </thead>
        <tbody>
            {% for item in object_list %}
            <tr role="row">
                <td tabindex="0">{{ item.pk }}</td>
                <td class="sorting_1">{{ item.date }}</td>
                <td>
                    <div class="row">
                    {% for d_leg in item.legs.debits %}
                        <span class="badge badge-secondary m-1">[{{ d_leg.account.full_code }}] {{ d_leg.account.name }}</span>
                    {% endfor %}
                    </div>
                </td>
                <td>
                    <div class="row">
                    {% for c_leg in item.legs.credits %}
                        <span class="badge badge-secondary m-1">[{{ c_leg.account.full_code }}] {{ c_leg.account.name }}</span>
                    {% endfor %}
                    </div>
                </td>
                <td>
                    <span class="text-success">
                        {{ item|get_currency }} {{ item|total_amount }}
                    </span>
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
    <div class="dataTables_info" id="DataTables_Table_0_info" role="status" aria-live="polite">{% trans "Page " %} {}
        entries</div>
    <div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate">
        {% if object_list.has_previous %}
        {% if object_list.number >= 3 %}
        <a href="?page=1" class="paginate_button first" aria-controls="DataTables_Table_0" data-dt-idx="0" tabindex="0" id="DataTables_Table_0_first">
            {% trans "First" %}
        </a>
        {% endif %}
        <a href="?page={{ object_list.previous_page_number }}" class="paginate_button previous" aria-controls="DataTables_Table_0" data-dt-idx="{{ object_list.previous_page_number }}" tabindex="{{ object_list.previous_page_number }}" id="DataTables_Table_0_previous">
            {% trans "Previous" %}
        </a>
        {% endif %}
        <span>
        <a class="paginate_button current"
            aria-controls="DataTables_Table_0" data-dt-idx="{{ object_list.number }}" tabindex="0">
            {{ object_list.number }}
        </a>
        {% if page_obj.has_next %}
        <span class="ellipsis">
            …
        </span>
        <a href="?page={{ object_list.paginator.num_pages }}" class="paginate_button " aria-controls="DataTables_Table_0" data-dt-idx="{{ object_list.paginator.num_pages }}" tabindex="0">
            {{ object_list.paginator.num_pages }}
        </a>
        </span>
        <a href="?page={{ object_list.next_page_number }}" class="paginate_button next" aria-controls="DataTables_Table_0" data-dt-idx="{{ object_list.next_page_number }}" tabindex="0" id="DataTables_Table_0_next">
            {% trans "Next" %}
        </a>
        {% endif %}
    </div>
</div>
{% else %}
<div class="error">
    <div class="error__content">
        <h2>{% trans "Hey!" %}</h2>
        <h3>{% trans "Where are your transactions?" %}</h3>
        <p>{% trans "Click the button below to begin." %}</p>
        <a href="{% url 'accountent:transactions_create_wizard' %}" type="button"
            class="btn btn-primary btn-pill">{% trans "New transaction" %}</a>
    </div>
</div>
{% endif %}
{% endblock content %}